## com.bbn.openmap.omGraphics
Class Cubic

    java.lang.Object
      com.bbn.openmap.omGraphics.Cubic

public class Cubic
extends java.lang.Object

A cubic polynomial

Constructor Summary
`Cubic(float a, float b, float c, float d)` Constructor.

Method Summary
`float` `eval(float u)` evaluate cubic for this value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cubic

    public Cubic(float a,
                 float b,
                 float c,
                 float d)

  Constructor.

Parameters:
  `a` -
  `b` -
  `c` -
  `d` -

Method Detail

### eval

    public float eval(float u)

  evaluate cubic for this value.

  Parameters:
    `u` -
  Returns:
    float

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details